NEW VERSION OF PCS RELEASED! - Popup Card Studio v1.1.0
Click here to learn more!

We are running a sale on Popup Card Studio. Save 25% right now during this very limited time sale. Click here to order now!

We are also running a sale if you purchase both Make The Cut! and Popup Card Studio. Save 38% right now during this very limited time sale. Click here to order!

version 4.1.0 with cricut expression

cricutcamycricutcamy Posts: 2Member
edited January 2012 in General
Is the new 4.1.0 version going to work with my cricut expression? If not what newer versions will?
Why are they making it incompatible now?

Comments

  • HappyCrafterHappyCrafter Posts: 2,275Member
    Do you currently have a version of MTC? If so, what version is it? It depends on what version of MTC you currently have cutting to your CE whether you would be able to use 4.1.0.

    "They" is Provocraft.

    As long as the bicycle wheels are still turning, life is good.
    Sharon in North Central Idaho
  • nomemnomem Posts: 3,105Member
    I have version 4.0.4. Can I update and still cut with Cricut?
  • iggyloveriggylover Posts: 11,513Moderator
    @cricutcamy,

    Welcome to the forum! If you have a version of MTC prior to March 16, 2011 that worked with the Cricut, then you are ok. It sounds like you don't... The reason that it is incompatible now is because ProvoCraft sued all the makers of third-party software that worked with their machines. After a long fight, Andy (the creator of MTC) finally settled with PC with the agreement that future versions would not support the Cricuts.

    @nomem,

    If you are running 4.0.4 and communicating, you had the previous version and are grandfathered in. You should be fine to update to 4.1.0 and any higher versions that come later. [NOTE] This only applies to people who had one certain version of MTC at one given point of time who are able to update and continue using with their Cricuts! This will not work for everyone.

    For those that had older versions of MTC and can't update... have you considered installing a second version of MTC (be sure to rename it with the version number when installing so it doesn't overwrite your compatible copy!) on your computer? You could then use the new version to design, export as an SVG, import it into your old version...
    "All that is necessary for evil to triumph is for good men to do nothing" Edmund Burke

    Jeanette in Orange County, CA
    Love my Italian Greyhound --> I.G.--> iggy
    Own a Create: Krikee, getting used to a Black Cat Cougar: Bagheera


  • nomemnomem Posts: 3,105Member
    Thanks Iggy! That's what I assumed, but I still get nervous every time there's an update.
  • SBryanWSBryanW Posts: 4,550Administrator
    @cricutcamy,

    Welcome to the forum! If you have a version of MTC prior to March 16, 2011 that worked with the Cricut, then you are ok...
    It depends which version of MTC that you downloaded prior to March 16, 2011. In general, if you have version 3.1.0 or greater of MTC, AND it currently works with the cricut, then you are safe to upgrade. If you have version 3.0.x or earlier, you CANNOT upgrade to a new version.

    Bryan

  • iggyloveriggylover Posts: 11,513Moderator
    Thanks for the clarification Bryan! I should have been more specific. :\">
    "All that is necessary for evil to triumph is for good men to do nothing" Edmund Burke

    Jeanette in Orange County, CA
    Love my Italian Greyhound --> I.G.--> iggy
    Own a Create: Krikee, getting used to a Black Cat Cougar: Bagheera


  • cricutcamycricutcamy Posts: 2Member
    I have cersion 3.2.1 and it was the original version I purchased. So if I update to 4.1.0 it should work?? Thanks!
  • BerryoneBerryone Posts: 5,118Member
    Yes, Just Be Sure You Save The PCCPlugin From The MTC Plugin Folder To Safe Place.
This discussion has been closed.